Summary:       Software version control visualization
Name:          gource
Version:       0.51
Release:       %mkrel 2
License:       GPLv3+
Group:         Video
URL:           http://gource.io/
Source:        https://github.com/acaudwell/Gource/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_image)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpcre)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(tinyxml)
BuildRequires: glm-devel
BuildRequires: boost-devel

Requires:      gnu-free-sans-fonts

%description
OpenGL-based 3D visualization tool for source control repositories.
The repository is displayed as a tree where the root of the repository is
the centre, directories are branches and files are leaves. Contributors
to the source code appear and disappear as they contribute to specific
files and directories.

%prep
%setup -q

# Make sure to build against system tinyxml
rm -rf src/tinyxml

%build
%configure2_5x \
           --enable-ttf-font-dir=%{_datadir}/fonts/gnu-free/ \
           --with-tinyxml
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/%{name}/fonts

%files
%{_bindir}
%{_datadir}

%changelog
* Sat Sep 17 2022 tex - 0.51-2pclos2022
- rebuild against updates

* Sun Sep 26 2021 tex - 0.51-1pclos2021
- new version for new boost
